Create an Incident
Create an incident synchronously without a corresponding event from a monitoring service.
An incident represents a problem or an issue that needs to be addressed and resolved.
For more information see the API Concepts Document
Scoped OAuth requires: incidents.write
This API operation has operation specific rate limits. See the Rate Limits page for more information.
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
The email address of a valid user associated with the account making the request.
emailRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
Create a status update on an incident POST
Create a new status update for the specified incident. Optionally pass `subject` and `html_message` properties in the request body to override the email notification that gets sent. An incident represents a problem or an issue that needs to be addressed and resolved. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#incidents) Scoped OAuth requires: `incidents.write`
Delete a note on an incident DELETE
Delete an existing note for the specified incident. An incident represents a problem or an issue that needs to be addressed and resolved. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#incidents) Scoped OAuth requires: `incidents.write`